Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518867 - When no image uploaded for Catalog Item, a 'T' is displayed in UI
Summary: When no image uploaded for Catalog Item, a 'T' is displayed in UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: GA
: 5.10.0
Assignee: Eric Winchell
QA Contact: Ganesh Hubale
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-29 16:42 UTC by Brant Evans
Modified: 2019-02-07 23:00 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:00:39 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)
screehshot (deleted)
2017-11-29 16:42 UTC, Brant Evans
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:00:46 UTC

Description Brant Evans 2017-11-29 16:42:44 UTC
Created attachment 1360452 [details]
screehshot

Description of problem:
When ordering a catalog item, if the catalog item did not have an image uploaded with it, there is a 'T' being displayed on the UI.  There should be a default image provided instead of the letter 'T'.  

Version-Release number of selected component (if applicable):
5.9.0.11

How reproducible:
Always

Steps to Reproduce:
1. Navigate to Services => Catalogs
2. Click Service Catalogs and select your Catalog Item
3.

Actual results:
'T' is displayed instead of the default icon

Expected results:
The default icon is displayed (matching the tree view icon)

Additional info:

Comment 3 CFME Bot 2018-12-03 08:11:34 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/04901e84574b84c7036596a8097d2df51d61a79b
commit 04901e84574b84c7036596a8097d2df51d61a79b
Author:     Eric Winchell <ewinchel@redhat.com>
AuthorDate: Fri Nov 30 10:15:20 2018 -0500
Commit:     Eric Winchell <ewinchel@redhat.com>
CommitDate: Fri Nov 30 10:15:20 2018 -0500

    Service catalog order icon

    https://bugzilla.redhat.com/show_bug.cgi?id=1518867

 app/views/catalog/_svccat_tree_show.html.haml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 4 CFME Bot 2018-12-03 15:22:59 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/b177da0c971a0071d893647cc53ba5a5316e7041
commit b177da0c971a0071d893647cc53ba5a5316e7041
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Mon Dec  3 03:04:32 2018 -0500
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Mon Dec  3 03:04:32 2018 -0500

    Merge pull request #5017 from epwinchell/1518867

    Service catalog  icon fix

    (cherry picked from commit ab3ddcf1c0a132ec30281ff1e65195c89abba566)

    https://bugzilla.redhat.com/show_bug.cgi?id=1518867

 app/views/catalog/_svccat_tree_show.html.haml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 7 errata-xmlrpc 2019-02-07 23:00:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.